import { HttpClient } from '@angular/common/http';
import { BaseApiTemplateService } from '../../shared/base-api-template-service.model';
import { ApiVisa } from '../../shared/api-visa.model';
export declare class ShopifyProductService extends BaseApiTemplateService<any> {
    readonly url: string;
    constructor(http: HttpClient);
    createImages(branchGuid: string, dto: any, apiVisa: ApiVisa): import("rxjs").Observable<Object>;
    updateImages(branchGuid: string, dto: any, apiVisa: ApiVisa): import("rxjs").Observable<Object>;
    deleteImages(branchGuid: string, dto: string, apiVisa: ApiVisa): import("rxjs").Observable<Object>;
    getImages(branchGuid: string, ecomsyncGuid: any, apiVisa: ApiVisa): import("rxjs").Observable<Object>;
    getGroupProduct(branchGuid: string, apiVisa: ApiVisa): import("rxjs").Observable<Object>;
    getProductVariant(shopifyProductID: string, branchGuid: string, apiVisa: ApiVisa): import("rxjs").Observable<Object>;
    getCustomCollection(branchGuid: string, apiVisa: ApiVisa): import("rxjs").Observable<Object>;
    updateVariant(branchGuid: string, dto: any, apiVisa: ApiVisa): import("rxjs").Observable<Object>;
}
